Index: palm/trunk/SOURCE/land_surface_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/land_surface_model_mod.f90	(revision 1975)
+++ palm/trunk/SOURCE/land_surface_model_mod.f90	(revision 1976)
@@ -851,190 +851,190 @@
 !> Check parameters routine for land surface model
 !------------------------------------------------------------------------------!
-    SUBROUTINE lsm_check_parameters
-
-       USE control_parameters,                                                 &
-           ONLY: bc_pt_b, bc_q_b, constant_flux_layer, message_string,         &
-                 most_method, topography
+ SUBROUTINE lsm_check_parameters
+
+    USE control_parameters,                                                    &
+        ONLY:  bc_pt_b, bc_q_b, constant_flux_layer, message_string,           &
+               most_method, topography
                  
-       USE radiation_model_mod,                                                &
-           ONLY: radiation
+    USE radiation_model_mod,                                                   &
+        ONLY:  radiation
     
     
-       IMPLICIT NONE
+    IMPLICIT NONE
 
  
 !
-!--    Dirichlet boundary conditions are required as the surface fluxes are
-!--    calculated from the temperature/humidity gradients in the land surface
-!--    model
-       IF ( bc_pt_b == 'neumann'  .OR.  bc_q_b == 'neumann' )  THEN
-          message_string = 'lsm requires setting of'//                         &
-                           'bc_pt_b = "dirichlet" and '//                      &
-                           'bc_q_b  = "dirichlet"'
-          CALL message( 'check_parameters', 'PA0399', 1, 2, 0, 6, 0 )
+!-- Dirichlet boundary conditions are required as the surface fluxes are
+!-- calculated from the temperature/humidity gradients in the land surface
+!-- model
+    IF ( bc_pt_b == 'neumann'  .OR.  bc_q_b == 'neumann' )  THEN
+       message_string = 'lsm requires setting of'//                         &
+                        'bc_pt_b = "dirichlet" and '//                      &
+                        'bc_q_b  = "dirichlet"'
+       CALL message( 'check_parameters', 'PA0399', 1, 2, 0, 6, 0 )
+    ENDIF
+
+    IF (  .NOT.  constant_flux_layer )  THEN
+       message_string = 'lsm requires '//                                   &
+                        'constant_flux_layer = .T.'
+       CALL message( 'check_parameters', 'PA0400', 1, 2, 0, 6, 0 )
+    ENDIF
+
+    IF ( topography /= 'flat' )  THEN
+       message_string = 'lsm cannot be used ' //                            & 
+                        'in combination with  topography /= "flat"'
+       CALL message( 'check_parameters', 'PA0415', 1, 2, 0, 6, 0 )
+    ENDIF
+
+    IF ( ( veg_type == 14  .OR.  veg_type == 15 ) .AND.                     &
+           most_method == 'lookup' )  THEN
+        WRITE( message_string, * ) 'veg_type = ', veg_type, ' is not ',     &
+                                   'allowed in combination with ',          &
+                                   'most_method = ', most_method
+       CALL message( 'check_parameters', 'PA0417', 1, 2, 0, 6, 0 )
+    ENDIF
+
+    IF ( veg_type == 0 )  THEN
+       IF ( SUM( root_fraction ) /= 1.0_wp )  THEN
+          message_string = 'veg_type = 0 (user_defined)'//                  &
+                           'requires setting of root_fraction(0:3)'//       &
+                           '/= 9999999.9 and SUM(root_fraction) = 1'
+          CALL message( 'check_parameters', 'PA0401', 1, 2, 0, 6, 0 )
        ENDIF
-
-       IF (  .NOT.  constant_flux_layer )  THEN
-          message_string = 'lsm requires '//                                   &
-                           'constant_flux_layer = .T.'
-          CALL message( 'check_parameters', 'PA0400', 1, 2, 0, 6, 0 )
+ 
+       IF ( min_canopy_resistance == 9999999.9_wp )  THEN
+          message_string = 'veg_type = 0 (user defined)'//                  &
+                           'requires setting of min_canopy_resistance'//    &
+                           '/= 9999999.9'
+          CALL message( 'check_parameters', 'PA0401', 1, 2, 0, 6, 0 )
        ENDIF
 
-       IF ( topography /= 'flat' )  THEN
-          message_string = 'lsm cannot be used ' //                            & 
-                           'in combination with  topography /= "flat"'
-          CALL message( 'check_parameters', 'PA0415', 1, 2, 0, 6, 0 )
+       IF ( leaf_area_index == 9999999.9_wp )  THEN
+          message_string = 'veg_type = 0 (user_defined)'//                  &
+                           'requires setting of leaf_area_index'//          &
+                           '/= 9999999.9'
+          CALL message( 'check_parameters', 'PA0401', 1, 2, 0, 6, 0 )
        ENDIF
 
-       IF ( ( veg_type == 14  .OR.  veg_type == 15 ) .AND.                     &
-              most_method == 'lookup' )  THEN
-           WRITE( message_string, * ) 'veg_type = ', veg_type, ' is not ',     &
-                                      'allowed in combination with ',          &
-                                      'most_method = ', most_method
-          CALL message( 'check_parameters', 'PA0417', 1, 2, 0, 6, 0 )
+       IF ( vegetation_coverage == 9999999.9_wp )  THEN
+          message_string = 'veg_type = 0 (user_defined)'//                  &
+                           'requires setting of vegetation_coverage'//      &
+                           '/= 9999999.9'
+             CALL message( 'check_parameters', 'PA0401', 1, 2, 0, 6, 0 )
        ENDIF
 
-       IF ( veg_type == 0 )  THEN
-          IF ( SUM( root_fraction ) /= 1.0_wp )  THEN
-             message_string = 'veg_type = 0 (user_defined)'//                  &
-                              'requires setting of root_fraction(0:3)'//       &
-                              '/= 9999999.9 and SUM(root_fraction) = 1'
-             CALL message( 'check_parameters', 'PA0401', 1, 2, 0, 6, 0 )
-          ENDIF
- 
-          IF ( min_canopy_resistance == 9999999.9_wp )  THEN
-             message_string = 'veg_type = 0 (user defined)'//                  &
-                              'requires setting of min_canopy_resistance'//    &
-                              '/= 9999999.9'
-             CALL message( 'check_parameters', 'PA0401', 1, 2, 0, 6, 0 )
-          ENDIF
-
-          IF ( leaf_area_index == 9999999.9_wp )  THEN
-             message_string = 'veg_type = 0 (user_defined)'//                  &
-                              'requires setting of leaf_area_index'//          &
-                              '/= 9999999.9'
-             CALL message( 'check_parameters', 'PA0401', 1, 2, 0, 6, 0 )
-          ENDIF
-
-          IF ( vegetation_coverage == 9999999.9_wp )  THEN
-             message_string = 'veg_type = 0 (user_defined)'//                  &
-                              'requires setting of vegetation_coverage'//      &
-                              '/= 9999999.9'
-             CALL message( 'check_parameters', 'PA0401', 1, 2, 0, 6, 0 )
-          ENDIF
-
-          IF ( canopy_resistance_coefficient == 9999999.9_wp)  THEN
-             message_string = 'veg_type = 0 (user_defined)'//                  &
-                              'requires setting of'//                          &
-                              'canopy_resistance_coefficient /= 9999999.9'
-             CALL message( 'check_parameters', 'PA0401', 1, 2, 0, 6, 0 )
-          ENDIF
-
-          IF ( lambda_surface_stable == 9999999.9_wp )  THEN
-             message_string = 'veg_type = 0 (user_defined)'//                  &
-                              'requires setting of lambda_surface_stable'//    &
-                              '/= 9999999.9'
-             CALL message( 'check_parameters', 'PA0401', 1, 2, 0, 6, 0 )
-          ENDIF
-
-          IF ( lambda_surface_unstable == 9999999.9_wp )  THEN
-             message_string = 'veg_type = 0 (user_defined)'//                  &
-                              'requires setting of lambda_surface_unstable'//  &
-                              '/= 9999999.9'
-             CALL message( 'check_parameters', 'PA0401', 1, 2, 0, 6, 0 )
-          ENDIF
-
-          IF ( f_shortwave_incoming == 9999999.9_wp )  THEN
-             message_string = 'veg_type = 0 (user_defined)'//                  &
-                              'requires setting of f_shortwave_incoming'//     &
-                              '/= 9999999.9'
-             CALL message( 'check_parameters', 'PA0401', 1, 2, 0, 6, 0 )
-          ENDIF
-
-          IF ( z0_eb == 9999999.9_wp )  THEN
-             message_string = 'veg_type = 0 (user_defined)'//                  &
-                              'requires setting of z0_eb'//                    &
-                              '/= 9999999.9'
-             CALL message( 'check_parameters', 'PA0401', 1, 2, 0, 6, 0 )
-          ENDIF
-
-          IF ( z0h_eb == 9999999.9_wp )  THEN
-             message_string = 'veg_type = 0 (user_defined)'//                  &
-                              'requires setting of z0h_eb'//                   &
-                              '/= 9999999.9'
-             CALL message( 'check_parameters', 'PA0401', 1, 2, 0, 6, 0 )
-          ENDIF
-
-
+       IF ( canopy_resistance_coefficient == 9999999.9_wp)  THEN
+          message_string = 'veg_type = 0 (user_defined)'//                  &
+                           'requires setting of'//                          &
+                           'canopy_resistance_coefficient /= 9999999.9'
+          CALL message( 'check_parameters', 'PA0401', 1, 2, 0, 6, 0 )
        ENDIF
 
-       IF ( soil_type == 0 )  THEN
-
-          IF ( alpha_vangenuchten == 9999999.9_wp )  THEN
-             message_string = 'soil_type = 0 (user_defined)'//                 &
-                              'requires setting of alpha_vangenuchten'//       &
-                              '/= 9999999.9'
-             CALL message( 'check_parameters', 'PA0403', 1, 2, 0, 6, 0 )
-          ENDIF
-
-          IF ( l_vangenuchten == 9999999.9_wp )  THEN
-             message_string = 'soil_type = 0 (user_defined)'//                 &
-                              'requires setting of l_vangenuchten'//           &
-                              '/= 9999999.9'
-             CALL message( 'check_parameters', 'PA0403', 1, 2, 0, 6, 0 )
-          ENDIF
-
-          IF ( n_vangenuchten == 9999999.9_wp )  THEN
-             message_string = 'soil_type = 0 (user_defined)'//                 &
-                              'requires setting of n_vangenuchten'//           &
-                              '/= 9999999.9'
-             CALL message( 'check_parameters', 'PA0403', 1, 2, 0, 6, 0 )
-          ENDIF
-
-          IF ( hydraulic_conductivity == 9999999.9_wp )  THEN
-             message_string = 'soil_type = 0 (user_defined)'//                 &
-                              'requires setting of hydraulic_conductivity'//   &
-                              '/= 9999999.9'
-             CALL message( 'check_parameters', 'PA0403', 1, 2, 0, 6, 0 )
-          ENDIF
-
-          IF ( saturation_moisture == 9999999.9_wp )  THEN
-             message_string = 'soil_type = 0 (user_defined)'//                 &
-                              'requires setting of saturation_moisture'//      &
-                              '/= 9999999.9'
-             CALL message( 'check_parameters', 'PA0403', 1, 2, 0, 6, 0 )
-          ENDIF
-
-          IF ( field_capacity == 9999999.9_wp )  THEN
-             message_string = 'soil_type = 0 (user_defined)'//                 &
-                              'requires setting of field_capacity'//           &
-                              '/= 9999999.9'
-             CALL message( 'check_parameters', 'PA0403', 1, 2, 0, 6, 0 )
-          ENDIF
-
-          IF ( wilting_point == 9999999.9_wp )  THEN
-             message_string = 'soil_type = 0 (user_defined)'//                 &
-                              'requires setting of wilting_point'//            &
-                              '/= 9999999.9'
-             CALL message( 'check_parameters', 'PA0403', 1, 2, 0, 6, 0 )
-          ENDIF
-
-          IF ( residual_moisture == 9999999.9_wp )  THEN
-             message_string = 'soil_type = 0 (user_defined)'//                 &
-                              'requires setting of residual_moisture'//        &
-                              '/= 9999999.9'
-             CALL message( 'check_parameters', 'PA0403', 1, 2, 0, 6, 0 )
-          ENDIF
-
+       IF ( lambda_surface_stable == 9999999.9_wp )  THEN
+          message_string = 'veg_type = 0 (user_defined)'//                  &
+                           'requires setting of lambda_surface_stable'//    &
+                           '/= 9999999.9'
+          CALL message( 'check_parameters', 'PA0401', 1, 2, 0, 6, 0 )
        ENDIF
 
-       IF (  .NOT.  radiation )  THEN
-          message_string = 'lsm requires '//                                   &
-                           'radiation = .T.'
-          CALL message( 'check_parameters', 'PA0400', 1, 2, 0, 6, 0 )
+       IF ( lambda_surface_unstable == 9999999.9_wp )  THEN
+          message_string = 'veg_type = 0 (user_defined)'//                  &
+                           'requires setting of lambda_surface_unstable'//  &
+                           '/= 9999999.9'
+          CALL message( 'check_parameters', 'PA0401', 1, 2, 0, 6, 0 )
        ENDIF
+
+       IF ( f_shortwave_incoming == 9999999.9_wp )  THEN
+          message_string = 'veg_type = 0 (user_defined)'//                  &
+                           'requires setting of f_shortwave_incoming'//     &
+                           '/= 9999999.9'
+          CALL message( 'check_parameters', 'PA0401', 1, 2, 0, 6, 0 )
+       ENDIF
+
+       IF ( z0_eb == 9999999.9_wp )  THEN
+          message_string = 'veg_type = 0 (user_defined)'//                  &
+                           'requires setting of z0_eb'//                    &
+                           '/= 9999999.9'
+          CALL message( 'check_parameters', 'PA0401', 1, 2, 0, 6, 0 )
+       ENDIF
+
+       IF ( z0h_eb == 9999999.9_wp )  THEN
+          message_string = 'veg_type = 0 (user_defined)'//                  &
+                           'requires setting of z0h_eb'//                   &
+                           '/= 9999999.9'
+          CALL message( 'check_parameters', 'PA0401', 1, 2, 0, 6, 0 )
+       ENDIF
+
+
+    ENDIF
+
+    IF ( soil_type == 0 )  THEN
+
+       IF ( alpha_vangenuchten == 9999999.9_wp )  THEN
+          message_string = 'soil_type = 0 (user_defined)'//                 &
+                           'requires setting of alpha_vangenuchten'//       &
+                           '/= 9999999.9'
+          CALL message( 'check_parameters', 'PA0403', 1, 2, 0, 6, 0 )
+       ENDIF
+
+       IF ( l_vangenuchten == 9999999.9_wp )  THEN
+          message_string = 'soil_type = 0 (user_defined)'//                 &
+                           'requires setting of l_vangenuchten'//           &
+                           '/= 9999999.9'
+          CALL message( 'check_parameters', 'PA0403', 1, 2, 0, 6, 0 )
+       ENDIF
+
+       IF ( n_vangenuchten == 9999999.9_wp )  THEN
+          message_string = 'soil_type = 0 (user_defined)'//                 &
+                           'requires setting of n_vangenuchten'//           &
+                           '/= 9999999.9'
+          CALL message( 'check_parameters', 'PA0403', 1, 2, 0, 6, 0 )
+       ENDIF
+
+       IF ( hydraulic_conductivity == 9999999.9_wp )  THEN
+          message_string = 'soil_type = 0 (user_defined)'//                 &
+                           'requires setting of hydraulic_conductivity'//   &
+                           '/= 9999999.9'
+          CALL message( 'check_parameters', 'PA0403', 1, 2, 0, 6, 0 )
+       ENDIF
+
+       IF ( saturation_moisture == 9999999.9_wp )  THEN
+          message_string = 'soil_type = 0 (user_defined)'//                 &
+                           'requires setting of saturation_moisture'//      &
+                           '/= 9999999.9'
+          CALL message( 'check_parameters', 'PA0403', 1, 2, 0, 6, 0 )
+       ENDIF
+
+       IF ( field_capacity == 9999999.9_wp )  THEN
+          message_string = 'soil_type = 0 (user_defined)'//                 &
+                           'requires setting of field_capacity'//           &
+                           '/= 9999999.9'
+          CALL message( 'check_parameters', 'PA0403', 1, 2, 0, 6, 0 )
+       ENDIF
+
+       IF ( wilting_point == 9999999.9_wp )  THEN
+          message_string = 'soil_type = 0 (user_defined)'//                 &
+                           'requires setting of wilting_point'//            &
+                           '/= 9999999.9'
+          CALL message( 'check_parameters', 'PA0403', 1, 2, 0, 6, 0 )
+       ENDIF
+
+       IF ( residual_moisture == 9999999.9_wp )  THEN
+          message_string = 'soil_type = 0 (user_defined)'//                 &
+                           'requires setting of residual_moisture'//        &
+                           '/= 9999999.9'
+          CALL message( 'check_parameters', 'PA0403', 1, 2, 0, 6, 0 )
+       ENDIF
+
+    ENDIF
+
+    IF (  .NOT.  radiation )  THEN
+       message_string = 'lsm requires '//                                   &
+                        'radiation = .T.'
+       CALL message( 'check_parameters', 'PA0400', 1, 2, 0, 6, 0 )
+    ENDIF
        
        
-    END SUBROUTINE lsm_check_parameters
+ END SUBROUTINE lsm_check_parameters
  
 !------------------------------------------------------------------------------!
